Bug 206167 - Suspend kills RAID-5 array
Suspend kills RAID-5 array
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-12 12:29 EDT by Tamas Vincze
Modified: 2008-05-06 12:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tamas Vincze 2006-09-12 12:29:19 EDT
Clicking Suspend in the GNOME menu causes multiple drive failure in
a RAID-5 array. My root filesystem is on a RAID-5 array and when I
clicked Suspend I heard the 4 drives of the array parking heads and
spinning down one-by-one. Wakeup failed to start the drives so I did
a hard reset and the system no longer was able to boot because two
drives were kicked out of the array. I had to boot from the install
DVD and in rescue mode manually assemble the array with:
mdadm -A --force /dev/md0 /dev/sda3 /dev/sdb3 /dev/sdc3 /dev/sdd3

Does anybody know how to disable this suspend feature?
Comment 1 Phil Knirsch 2007-01-23 11:20:08 EST
Not sure what we can do from userland to properly detect those cases and do
something correctly as in this case where / is on a RAID5 this would have to
happen properly during suspend in the kernel itself.

Reassigning to kernel, maybe they have a better idea how to fix it.

Read ya, Phil
Comment 2 Bug Zapper 2008-04-03 23:42:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:19:39 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.